<?php
session_start();
require_once './config/config.php';
require_once 'includes/auth_validate.php';


// Sanitize if you want
$amember = $_GET['amember'];
$operation = $_GET['operation'];
($operation == 'edit') ? $edit = true : $edit = false;
 $db = getDbInstance();

//Handle update request. As the form's action attribute is set to the same script, but 'POST' method,
if ($_SERVER['REQUEST_METHOD'] == 'POST')
{
    //Get customer id form query string parameter.
    $amember = $_GET['amember'];

    //Get input data
    $data_to_update = filter_input_array(INPUT_POST);

    $data_to_update['total'] = intval($data_to_update['total']);
    $data_to_update['charges'] = $data_to_update['total'];
    $db = getDbInstance();
    $db->where('amember',$amember);
    $stat = $db->update('charges', $data_to_update);

    if($stat)
    {
        $_SESSION['success'] = "Customer updated successfully!";
        //Redirect to the listing page,
        header('location: charges.php');
        //Important! Don't execute the rest put the exit/die.
        exit();
    }
}


//If edit variable is set, we are performing the update operation.
if($edit)
{
    $db->where('amember', $amember);
    //Get data to pre-populate the form.
    $charge = $db->getOne("charges");
}
?>


<?php
    include_once 'includes/header.php';
?>
<div id="page-wrapper">
    <div class="row">
        <h2 class="page-header">Update Charge</h2>
    </div>
    <!-- Flash messages -->
    <?php
        include('./includes/flash_messages.php')
    ?>

    <form class="" action="" method="post" enctype="multipart/form-data" id="contact_form">

        <?php
            //Include the common form for add and edit
            require_once('./forms/charge_form.php');
        ?>
    </form>
</div>




<?php include_once 'includes/footer.php'; ?>
